Bug 5223 - Права доступа у /var/log/samba
: Права доступа у /var/log/samba
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/samba)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-09-17 11:50 by
Modified: 2007-04-18 18:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-09-17 11:50:27
Думаю, стоит, для унификации прав доступа в /var/log, поменять права у
/var/log/samba вместо

drwxr-xr-x  2 root root      272 Sep 16 13:47 samba

на 

drwxr-x---  2 root adm       272 Sep 16 13:47 samba
------- Comment #1 From 2006-09-27 14:47:45 -------
добрый ты :]
------- Comment #2 From 2006-09-27 14:58:45 -------
Ну или, например, так:

drwxrws--T  2 root squid 432 Sep 24 04:02 /var/log/squid

это уже тонкости полиси, которого нет. Но не word-readable же!
------- Comment #3 From 2006-09-27 14:59:33 -------
(In reply to comment #2)
> Но не word-readable же!
world ;)

------- Comment #4 From 2007-04-18 01:25:54 -------
Проверьте, если c правами (0750,root,adm) работает, то я поменяю.
------- Comment #5 From 2007-04-18 13:53:21 -------
$ sudo chmod 750 /var/log/samba
$ sudo chown root:adm /var/log/samba
$ sudo rm -rf /var/log/samba/*
$ sudo /sbin/service smb restart
$ ls -la /var/log/samba
total 9
drwxr-x---  3 root adm  120 Apr 18 12:27 .
drwxr-xr-x 18 root root 992 Apr  1 04:02 ..
drwx------  4 root root  96 Apr 18 12:27 cores
-rw-r--r--  1 root root 150 Apr 18 12:27 log.nmbd
-rw-r--r--  1 root root 408 Apr 18 12:27 log.smbd

Подмонтировал, читает, аномалий не заметил.
------- Comment #6 From 2007-04-18 18:46:42 -------
Fixed in 3.0.24-alt3.